Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.serialization.impl.jboss
Class SmartCloningMarshalledValue

    java.lang.Object
      org.jboss.serial.io.MarshalledObjectForLocalCalls
          org.jboss.remoting.serialization.impl.jboss.SmartCloningMarshalledValue

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, IMarshalledValue

    public class SmartCloningMarshalledValue

extends org.jboss.serial.io.MarshalledObjectForLocalCalls
implements IMarshalledValue

IMarshalledValue used on smart cloning/call by value operations for JBoss Serialization

Author:
  Clebert Suconic
See Also:
  Serialized Form

Constructor Summary
`SmartCloningMarshalledValue()`
`SmartCloningMarshalledValue(java.lang.Object arg0)`
`SmartCloningMarshalledValue(java.lang.Object arg0, org.jboss.serial.objectmetamodel.safecloning.SafeCloningRepository arg1)`

Method Summary

Methods inherited from class org.jboss.serial.io.MarshalledObjectForLocalCalls
`get, readExternal, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.remoting.serialization.IMarshalledValue
`get`

Constructor Detail

### SmartCloningMarshalledValue

    public SmartCloningMarshalledValue()

### SmartCloningMarshalledValue

    public SmartCloningMarshalledValue(java.lang.Object arg0,
                                       org.jboss.serial.objectmetamodel.safecloning.SafeCloningRepository arg1)
                                throws java.io.IOException

Throws:
  `java.io.IOException`

### SmartCloningMarshalledValue

    public SmartCloningMarshalledValue(java.lang.Object arg0)
                                throws java.io.IOException

Throws:
  `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.